Bug 225872 - Merge Review: gtkhtml3
Merge Review: gtkhtml3
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Package Reviews List
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-31 14:00 EST by Nobody's working on this, feel free to take it
Modified: 2010-10-18 05:45 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-18 05:45:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+


Attachments (Terms of Use)
Use $RPM_OPT_FLAGS (549 bytes, patch)
2007-02-01 15:02 EST, Ville Skyttä
no flags Details | Diff
Use $RPM_OPT_FLAGS, take 2 (764 bytes, patch)
2007-02-02 09:50 EST, Ville Skyttä
no flags Details | Diff
spec cleanup (3.64 KB, patch)
2010-10-13 02:23 EDT, Parag AN(पराग)
no flags Details | Diff
spec cleanup (3.99 KB, patch)
2010-10-13 02:38 EDT, Parag AN(पराग)
no flags Details | Diff

  None (edit)
Description Nobody's working on this, feel free to take it 2007-01-31 14:00:30 EST
Fedora Merge Review: gtkhtml3

http://cvs.fedora.redhat.com/viewcvs/devel/gtkhtml3/
Initial Owner: mbarnes@redhat.com
Comment 1 Ville Skyttä 2007-02-01 15:02:09 EST
Created attachment 147135 [details]
Use $RPM_OPT_FLAGS

http://www.redhat.com/archives/fedora-maintainers/2007-January/msg00339.html

A bug in the strict_build_settings block causes $RPM_OPT_FLAGS not being used
(-> no optimization, no compiler security features, useless debuginfo).
Comment 2 Warren Togami 2007-02-01 15:13:07 EST
Assigning to owner, who must fix this before review proceeds.
Comment 3 Matthew Barnes 2007-02-01 22:22:49 EST
Fixed in gtkhtml3-3-13.5-2.fc6.

The $RPM_OPT_FLAGS should be used regardless of whether strict_build_settings is
enabled, so I added it directly to the make command, along with %{?_smp_mflags}.

Thanks for catching this.
Comment 4 Ville Skyttä 2007-02-02 02:36:34 EST
$CFLAGS is automatically set to $RPM_OPT_FLAGS by %configure if so there should
be no need to set it expliclitly, see "rpm -E %configure".  The problem was that
CFLAGS was set (to a value that didn't contain the optflags), and thus
%configure didn't touch it.

Explicitly setting CFLAGS in the "make ..." line may be a problem because it
will trump everything in CFLAGS that ./configure may have set (ie. added to the
CFLAGS in environment).
Comment 5 Matthew Barnes 2007-02-02 08:49:09 EST
I added CFLAGS="$CFLAGS $RPM_OPT_FLAGS" to the make command.
Comment 6 Ville Skyttä 2007-02-02 09:46:58 EST
The end result is more or less the same except that $RPM_OPT_FLAGS will just end
up twice in the actually used CFLAGS.  Consider this:

1) export CFLAGS="-DFOO_BAR $RPM_OPT_FLAGS"

2) ./configure
# let's assume configure added -DQUUX_BAZ to CFLAGS and thus wrote to Makefiles
CFLAGS = -DFOO_BAR <$RPM_OPT_FLAGS expanded> -DQUUX_BAZ

3) make CFLAGS="$CFLAGS $RPM_OPT_FLAGS" will expand to make CFLAGS="-DFOO_BAR
<$RPM_OPT_FLAGS expanded> <$RPM_OPT_FLAGS expanded>"

CFLAGS in Makefiles was overridden in 3) and thus -DQUUX_BAZ was lost.  And
$RPM_OPT_FLAGS ended up in CFLAGS twice.  Whatever configure adds to CFLAGS
affects what gets written to the Makefiles, not the environment, ie. step 3)
won't know about it and will trump configure's modifications.
Comment 7 Ville Skyttä 2007-02-02 09:50:40 EST
Created attachment 147227 [details]
Use $RPM_OPT_FLAGS, take 2

Oops, I see you didn't add $RPM_OPT_FLAGS to the strict_build_settings block so
comment 6 is somewhat inaccurate, but should still illustrate the point (no
$RPM_OPT_FLAGS twice, but -DQUUZ_BAZ mayb still be lost).  I still think that
this patch is correct and should be applied.
Comment 8 Warren Togami 2007-02-02 10:30:45 EST
Please set ASSIGNED to the person who needs to act next.
Comment 9 Bug Zapper 2008-05-14 08:08:40 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Matthew Barnes 2009-07-28 11:15:44 EDT
This review is too outdated to continue.  Closing as CANTFIX.
Comment 11 Jason Tibbitts 2009-07-28 12:55:27 EDT
I still see gtkhtml3 in rawhide; is it your intention to remove it from the distribution?  It not, it still needs to pass a merge review at some point.
Comment 12 Matthew Barnes 2009-07-28 13:20:11 EDT
Why?  I thought we merged already.

In any case, the review comments are over two years old and no longer apply.  If Fedora is still insisting on these reviews, then this one needs to be restarted from scratch.
Comment 13 Toshio Ernie Kuratomi 2009-07-28 15:21:13 EDT
Sure.  But the usual proceedure is to continue in the same bug report.  If you'd like to start with a fresh bug report, fell free to open one and then close this one with a pointer to that one so everyone understands what's going on.
Comment 14 Parag AN(पराग) 2010-10-13 02:23:22 EDT
Created attachment 453089 [details]
spec cleanup

This git patch will make this package clean to follow packaging guidelines. Please commit it or allow to commit it.
Comment 15 Parag AN(पराग) 2010-10-13 02:28:27 EDT
ah! I missed rpmlint warning
gtkhtml3.x86_64: W: file-not-utf8 /usr/share/doc/gtkhtml3-3.91.0/AUTHORS

You also need to fix this. For that add following to %prep

# Convert to utf-8
for file in AUTHORS ; do
    iconv -f ISO-8859-1 -t UTF-8 -o $file.new $file && \
    touch -r $file $file.new && \
    mv $file.new $file
done
Comment 16 Parag AN(पराग) 2010-10-13 02:38:10 EDT
Created attachment 453090 [details]
spec cleanup

Updated spec patch
Comment 17 Matthew Barnes 2010-10-14 16:32:29 EDT
I'd rather fix the AUTHORS file upstream, which I've done [1].  So we can omit the iconv stuff.

Patch applied to gtkhtml3-3.91.0-2.fc15.

[1] http://git.gnome.org/browse/gtkhtml/commit/?id=2e28ebcfd2d2d922a2488c3ee657705827cdcf9d
Comment 18 Parag AN(पराग) 2010-10-18 05:45:02 EDT
Thanks.

APPROVED.

Note You need to log in before you can comment on or make changes to this bug.